getEverything
Returns a FHIR bundle containing a patient's entire health care record.
See https://hl7.org/fhir/R4/patient-operation-everything.html.
You must either be the patient, or an organization that the patient has consented to sharing data with.
| Path Parameters |
|---|
id string — REQUIREDThe HealthEx ID of the patient. |
| Query Parameters |
|---|
_count numberThe maximum number of records to return at a time. Supply this parameter and follow 'next' links in the returned bundle to get the next page of results. |
_offset numberWhich record to start the page with. You normally will not need to set this yourself - it will be included in the 'next' link in the returned bundle. |
_type stringComma-separated list of resource types to include in the bundle. If not provided, all resource types will be included. |
_source stringComma-separated list of source names to include data from. Source names must match exactly. If not provided, data from all sources will be included. |
_since stringOnly include resources updated since the given instant. The format is a FHIR instant (e.g. 2026-02-27T12:00:00Z). See https://fhir.hl7.org/fhir/datatypes.html#instant |
| Responses |
|---|
200FHIR bundle containing a patient's entire health care record (see https://hl7.org/fhir/R4/bundle.html) |